Bug 865675 - [WebTrans] shortcut navigation next/previous misbehave
[WebTrans] shortcut navigation next/previous misbehave
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Patrick Huang
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 02:01 EDT by Patrick Huang
Modified: 2012-11-07 01:19 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121019-1428)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2012-10-12 02:01:17 EDT
Description of problem:
When at the top of the table, press alt-up will not move the row. But the underlying index is still decreasing. This makes moving to next row requires more hit of alt-down to negate the effect.

Version-Release number of selected component (if applicable):
1.8-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1.Go to editor view with more than one entries in the table.
2.Select first row.
3.Press alt-up a few times (should stay in first row)
4.Press alt-down to move to next row
  
Actual results:
No movement unless you hit alt-down several times.

Expected results:
Go to next row immediately.

Additional info:
Comment 1 Patrick Huang 2012-10-21 19:55:24 EDT
committed into master:
https://github.com/zanata/zanata/commit/27767c3a69660d6ca7401d5ba8ff6cccaa330add
Comment 2 Ding-Yi Chen 2012-10-21 22:13:54 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121019-1428)
Comment 3 Sean Flanigan 2012-11-07 01:19:18 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.